/***
 * Excerpted from "Stripes: and Java Web Development is Fun Again",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fdstr for more book information.
***/
package stripesbook.action;

import net.sourceforge.stripes.action.DefaultHandler;
import net.sourceforge.stripes.action.DontValidate;
import net.sourceforge.stripes.action.ForwardResolution;
import net.sourceforge.stripes.action.Resolution;
import net.sourceforge.stripes.validation.ValidationErrorHandler;
import net.sourceforge.stripes.validation.ValidationErrors;
import stripesbook.model.Money;


public class ErrorHandlingActionBean extends BaseActionBean
    implements ValidationErrorHandler
{

    private static final String VIEW = "/WEB-INF/jsp/error_handling.jsp";
    private static final String RESULT = "/WEB-INF/jsp/result.jsp";
    private static final String CANCEL = "/WEB-INF/jsp/cancel.jsp";

    private static final String ERRORS = "/WEB-INF/jsp/errors.jsp";

    public int youGiveMe;
    private Money money;
    
    @DefaultHandler
    public Resolution view() {
        return new ForwardResolution(VIEW);
    }
    public Money getMoney() {
        return money;
    }
    public Resolution doubleMoney() {
        money = new Money(youGiveMe, youGiveMe * 2);
        return new ForwardResolution(RESULT);
    }
    @DontValidate
    public Resolution cancel() {
        return new ForwardResolution(CANCEL);
    }

    public Resolution handleValidationErrors(ValidationErrors errors) {
        return new ForwardResolution(ERRORS);
    }
}

